| Flutter iOS Embedder |

Class Methods | Properties | List of all members
DisplayLinkManager Class Reference

`#import <vsync_waiter_ios.h>`

Inheritance diagram for DisplayLinkManager:

## Class Methods
(double) | + displayRefreshRate

## Properties
BOOL | maxRefreshRateEnabledOnIPhone
| Whether the max refresh rate on iPhone ProMotion devices are enabled. This reflects the value of `CADisableMinimumFrameDurationOnPhone` in the info.plist file. On iPads that support ProMotion, the max refresh rate is always enabled. More...
double | displayRefreshRate
| The display refresh rate used for reporting purposes. The engine does not care about this for frame scheduling. It is only used by tools for instrumentation. The engine uses the duration field of the link per frame for frame scheduling. More...

## Detailed Description

Definition at line 17 of file FlutterMetalLayer.mm.

## Method Documentation

## ◆ displayRefreshRate

+ (double) displayRefreshRate |  |  |

References display_link_target, displayRefreshRate, and maxRefreshRateEnabledOnIPhone.

## Property Documentation

## ◆ displayRefreshRate

- (double) displayRefreshRate
| readnonatomicassign

The display refresh rate used for reporting purposes. The engine does not care about this for frame scheduling. It is only used by tools for instrumentation. The engine uses the duration field of the link per frame for frame scheduling.

Attention
  Do not use the this call in frame scheduling. It is only meant for reporting.

Returns
  The refresh rate in frames per second.

Definition at line 43 of file vsync_waiter_ios.h.

Referenced by flutter::VsyncWaiterIOS::AwaitVSync, displayRefreshRate, and flutter::VsyncWaiterIOS::VsyncWaiterIOS.

## ◆ maxRefreshRateEnabledOnIPhone

- (BOOL) maxRefreshRateEnabledOnIPhone
| readnonatomicassign

Whether the max refresh rate on iPhone ProMotion devices are enabled. This reflects the value of `CADisableMinimumFrameDurationOnPhone` in the info.plist file. On iPads that support ProMotion, the max refresh rate is always enabled.

Returns
  YES if the max refresh rate on ProMotion devices is enabled.

Definition at line 18 of file FlutterMetalLayer.mm.

Referenced by displayRefreshRate.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterMetalLayer.mm
- shell/platform/darwin/ios/framework/Source/vsync_waiter_ios.h
- shell/platform/darwin/ios/framework/Source/vsync_waiter_ios.mm